# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-async
Version:        0.6.1
Release:        9%{?dist}
Summary:        A framework to process interdependent tasks in a pool of workers

Group:          Development/Languages
License:        BSD
URL:            https://github.com/gitpython-developers/async
# Get source from https://github.com/gitpython-developers/async/tarball/0.6.1
Source0:        gitpython-developers-async-%{version}-0-geccf3d6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, zlib-devel

%description
Async aims to make writing asyncronous processing easier. It provides a
task-graph with interdependent tasks that communicate using blocking channels,
allowing to delay actual computations until items are requested. Tasks will
automatically be distributed among 0 or more threads for the actual
computation.

# Filter the private provide
%{?filter_setup:
%filter_provides_in %{python_sitearch}/async/mod/zlib.so
%filter_setup
}

%prep
%setup -q -n gitpython-developers-async-eccf3d6


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README AUTHORS
# For arch-specific packages: sitearch
%{python_sitearch}/*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 16 2011 Jesse Keating <jkeating@redhat.com> - 0.6.1-3
- Filter out zlib provides

* Thu Jun 16 2011 Jesse Keating <jkeating@redhat.com> - 0.6.1-2
- BR zlib-devel (#713598)

* Sat May 28 2011 Jesse Keating <jkeating@redhat.com> - 0.6.1-1
- Initial build

